Skip to main content
GET
/
{alias}
/
customers
/
{customerId}
/
addresses
Listar endereços de um cliente
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/customers/{customerId}/addresses \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/customers/{customerId}/addresses"

headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/customers/{customerId}/addresses', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "customer_id": 123,
      "receiver": "<string>",
      "zip_code": "<string>",
      "street": "<string>",
      "number": "<string>",
      "complement": "<string>",
      "neighborhood": "<string>",
      "city": "<string>",
      "uf": "<string>",
      "full_address": "<string>",
      "created_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "updated_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      }
    }
  ],
  "meta": {
    "pagination": {
      "total": "10",
      "count": "30",
      "per_page": "10",
      "current_page": "1",
      "total_pages": "3",
      "links": {
        "previous": "",
        "next": ""
      }
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

customerId
integer
required

ID do cliente

Response

Endereços listados com sucesso

Representa uma paginação com meta

data
Endereço do cliente · object[]
meta
object